> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tenbyte.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Prefetch



## OpenAPI

````yaml https://raw.githubusercontent.com/vidinfra/open-api-docs/refs/heads/main/cdn-openapi.json post /distributions/{distributionID}/prefetches
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers:
  - url: https://api.tenbyte.io/v1
    description: Production server
security:
  - apikey-header-X-API-Key: []
tags:
  - name: Distributions
  - name: SSL Certificate Manage
  - name: Origins/Upstreams Manage
  - name: Purge
  - name: Prefetch
  - name: Cache Rules
  - name: Access Rules
  - name: Analytics
  - name: Http Headers
  - name: Verifications
  - name: IP Addresses List
paths:
  /distributions/{distributionID}/prefetches:
    post:
      tags:
        - Prefetch
      summary: Create Prefetch
      parameters:
        - name: distributionID
          in: path
          description: ''
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties: {}
            example:
              paths:
                - /img/city.jpg
                - /img/*
                - /path/*
                - /static/*
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      paths:
                        type: array
                        items:
                          type: string
                      id:
                        type: string
                    required:
                      - paths
                      - id
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - data
                  - message
                  - success
              example:
                data:
                  paths:
                    - /img/city.jpg
                    - /img/*
                    - /path/*
                    - /static/*
                  id: a4113eb9-8b17-455e-b984-a75b430c66e3
                message: Resource created successfully.
                success: true
          headers: {}
      deprecated: false
      security:
        - apikey-header-X-API-Key: []
components:
  securitySchemes:
    apikey-header-X-API-Key:
      type: apiKey
      in: header
      name: X-API-Key

````